1. Доступ к загрузкам имеют пользователи со статусом КЛИЕНТЫ, стать клиентом вы можете заказав услугу Сайт как на демо. Стоимость работ специалиста + хостинг на 1 год и пожизненный доступ к ресурсам - 5 000 руб.
    Для обновления одного шаблона необходимо оплатить услугу Техническая поддержка (500 руб. - Яндекс-деньги или банковский перевод) модуль справа-внизу, сообщить {admin} реквизиты доступа на хостинг или e-mail (при самостоятельном обновлении) на который будет выслана актуальная версия шаблона + Akeeba Backup Pro
    Скрыть объявление

Vertex 3 релиз с Jquery

Тема в разделе "FAQ", создана пользователем admin, 21 ноя 2012.

?

Когда собираетесь переходить на Joomla 3

  1. Когда выйдет стабильная версия Joomla 3.5

    0 голосов
    0,0%
  2. Пока не задумывался

    0 голосов
    0,0%
  3. Уже перешел !!!

    1 голосов
    100,0%
  1. admin

    admin Администратор Команда форума

    Vertex 3.0 теперь доступен для скачивания!
    Эта новая версия Vertex приносит совместимость с Joomla 3.0, но что более важно, весь фреймворк был преобразован из Mootools в Jquery!
    Пожалуйста, найдите время, чтобы прочитать весь этот пост, и мы надеемся, что вы найдете его информативным и полезным. Прежде чем идти дальше, мы хотим подчеркнуть, что новая Joomla 3 - это CMS исключительно для разработчиков и продвинутых пользователей. Если вы в настоящее время используете Joomla 2,5, не обновляйтесь по крайней мере до выхода Joomla 3.5!
    Если вы не очень опытный пользователь или разработчик мы также рекомендуем все же создавать новые веб-сайты на Joomla 2,5, потому что это более стабильная платформа с большим количеством доступных расширений для неё. Эти рекомендации разработчиков Joomla и мы с ними согласны. Патч для Vertex 3 может быть применен к любому шаблону, который указан в качестве совместимости с Joomla 3.0. Если шаблон не указан как Joomla 3.0 совместимый, не применяйте этот патч.
    Проверьте список совместимости шаблона с Joomla 3 и через компонент Joomla обновление обновите Джумлу до Joomla 3. После обновления можно применить Vertex 3 патч.
    Пожалуйста, внимательно прочитайте и следуйте всем инструкциям по обновлению до Vertex версии 3.  Обратите внимание, что этот патч для новых сайтов!
    Если вы в данный момент используете Vertex 2 шаблон на Joomla 2.5, не рекомендуется обновление до Joomla 3.0. Мы обеспечим инструкции для модернизации существующих сайтов до Vertex 3 на более поздний срок.
    Joomla 3.0 вводит много новых технологий, но основные два: Bootstrap и Jquery. Ниже приведены наши подходы к обоим этим новшествам: Bootstrap - это Bootstrap CSS для всех шаблонов и новые классы, такие как поиск, контакты, логин, регистрация и многие другие страницы без подключения которых страницы просто не будут стилизованы. Так как Vertex 3 включает в себя Bootstrap - это гарантирует, что эти страницы будут стилизованы правильно. Кроме того, это также означает, что любой сторонних расширений, которые, используют Bootstrap также будут стилизованы и всё будет работать без проблем на всех расширениях! Поскольку Jquery теперь вызывается из ядра Joomla это означает, что шаблоны и расширения теперь могут обмениваться единой библиотекой, а не как при использовании JavaScript - каждый элемент вызывал собственные файлы и все они конфликтовали друг с другом!
    Jquery теперь включен в ядро Joomla, и теперь продукты совместимые с Joomla 3, совместимы на долгие годы и версии вперед! Многие другие структуры и расширения других разработчиков все еще ​​производятся по всему Mootools, и если Mootools быстро устаревала все эти продукты должны были вновь обновлены, что означает больше обновлений для веб-мастеров.
    Вместо того чтобы просто преобразовать PHP-код наших продуктов, чтобы сделать их совместимыми с Joomla 3.0 мы хотели взять дополнительное время, чтобы удалить его и сосредоточиться исключительно на Jquery в нашей продукции! Весь Vertex 3 в настоящее время контролируется полностью Jquery и Mootools не вызывает вообще! Недавно мы выпустили несколько наших самых популярных расширений, чтобы была совместимым с Jquery! В настоящее время мы имеем семь модулей, которые когда-то использовали Mootools, они в настоящее время преобразованы для работе с Jquery! Самое приятное то, что они работают с Joomla 2.5 и 3.0!
    В Joomla 2.5, модули будут работать с Mootools, а в Joomla 3.0 + модули будут автоматически преобразовывать запросы к Jquery! Это означает, что вы можете создать свой ​​сайт сейчас на Joomla 2,5 и при обновлении до 3.0 или 3.5 не испытывать проблем вообще!
     

Поделиться этой страницей